import sys

if sys.version_info[:2] >= (3, 8):
    # TODO: Import directly (no need for conditional) when `python_requires = >= 3.8`
    from importlib.metadata import PackageNotFoundError, version  # pragma: no cover
else:
    from importlib_metadata import PackageNotFoundError, version  # pragma: no cover

try:
    # Change here if project is renamed and does not equal the package name
    dist_name = __name__
    __version__ = version(dist_name)
except PackageNotFoundError:  # pragma: no cover
    __version__ = "unknown"
finally:
    del version, PackageNotFoundError

#import all external packags required for pycroc to function
import os
import pandas as pd
import numpy as np
import itertools

import matplotlib
from matplotlib import colors
from matplotlib.colors import ListedColormap, LinearSegmentedColormap
from matplotlib import pyplot as plt
import plotly.figure_factory as ff
import seaborn as sns

import statsmodels.api as sm # 0.9.0
import statsmodels.formula.api as smf
import sklearn
from sklearn import metrics, preprocessing

from scipy import stats

from anndata import AnnData

#import pycroc functionality
from .datasets import *
from .load_data import *
from .combi_score import *
from .scanpy_to_pycroc import *

from .distr import *
from .combinations import *

